Hjælp meebox har opdateret php

Her kan du få hjælp og stille spørgsmål til MySQL/MySQLi!
Besvar
Lektordk
Begynder
Indlæg: 2
Tilmeldt: 30. sep 2014, 16:26

Hjælp meebox har opdateret php

Indlæg af Lektordk » 30. sep 2014, 16:28

Hejsa.

Jeg er løbet ind i et problem med min side efter at meebox har opdateret deres php. Min forside siger dette

Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home/odderitd/public_html/phone-world.dk/includes/functions/database.php on line 19

Warning: session_start(): Cannot send session cache limiter - headers already sent (output started at /home/odderitd/public_html/phone-world.dk/includes/functions/database.php:19) in /home/odderitd/public_html/phone-world.dk/includes/functions/sessions.php on line 102

Hvad skal jeg gøre for at rette denne fejl??

På forhånd mange tak.

Mikkel

Brugeravatar
ThomasI
Grundlægger
Grundlægger
Indlæg: 1528
Tilmeldt: 28. dec 2010, 10:49

Re: Hjælp meebox har opdateret php

Indlæg af ThomasI » 30. sep 2014, 18:03

Hej med dig,

Jeg vil anbefale dig at du lærer MySQLi eller PDO og får omdannet dine dataforbindelser så de anvender dette i stedet for det gamle PHP.

MySQLi ligner MySQL rigtig meget, og du burde ret hurtigt kunne rette det. I vores kurser viser vi også, hvordan det så ud før, og hvordan det så skal laves med den nye MySQLi.

Start her:

http://www.nemprogrammering.dk/Tutorial ... _mysql.php

Eller...

http://www.nemprogrammering.dk/Tutorial ... guides.php

Lektordk
Begynder
Indlæg: 2
Tilmeldt: 30. sep 2014, 16:26

Re: Hjælp meebox har opdateret php

Indlæg af Lektordk » 30. sep 2014, 18:07

Tak jeg prøver at kigge det igennem :) Troede bare man lige kunne ændre mysql til mysqli men den gik ik :)

Tak

Brugeravatar
scootergrisen
Moderator
Moderator
Indlæg: 709
Tilmeldt: 21. jun 2012, 23:40
Kontakt:

Re: Hjælp meebox har opdateret php

Indlæg af scootergrisen » 1. okt 2014, 12:49

Det bedste vil være at forny din kode, hvis ikke du gider det kan du skjule fejlbeskeder af typen E_DEPRECATED.

Kode: Vælg alt

error_reporting(E_ALL & ~E_DEPRECATED);

Besvar